﻿using Syncfusion.Windows.Controls.Input;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfTextBoxExtSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window,INotifyPropertyChanged
    {
        public ObservableCollection<CityInformation> Cities { get; set; }

        private CityInformation _selectcity;

        public CityInformation SelectCity
        {
            get { return _selectcity; }
            set { _selectcity = value;
            RaisePropertyChanged("SelectCity");
            }
        }
        
        public MainWindow()
        {
            InitializeComponent();
            Cities = new ObservableCollection<CityInformation>();
            Cities.Add(new CityInformation() { City = "Chennai", State = "TamilNadu", Country = "India" });
            Cities.Add(new CityInformation() { City = "Madurai", State = "TamilNadu", Country = "India" });
            Cities.Add(new CityInformation() { City = "Coimbatore", State = "TamilNadu", Country = "India" });
            Cities.Add(new CityInformation() { City = "Bengaluru", State = "Karnataka", Country = "India" });
            this.DataContext = this;
            SfTextBoxExt t = new SfTextBoxExt();
        }


        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string name)
        {
            if(PropertyChanged!=null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }

    public class CityInformation
    {
        public string City { get; set; }
        public string State { get; set; }
        public string Country { get; set; }
    }
}
